> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easybilling.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an account by id



## OpenAPI

````yaml /billing.openapi.json put /api/accounts/{id}
openapi: 3.1.0
info:
  title: Billing
  description: |+

  version: 1.0.0
  summary: ''
servers:
  - url: https://sbx.api.easybilling.cloud/billing
    description: SBX
  - url: https://api.easybilling.cloud/billing
    description: Production-AWS
security:
  - token: []
tags:
  - name: account
  - name: payment method
  - name: contract action
  - name: usage event
  - name: billing document
  - name: invoice pdf
  - name: prepaid credits
  - name: customer portal
paths:
  /api/accounts/{id}:
    put:
      tags:
        - account
      summary: Update an account by id
      operationId: updateAccountById
      parameters:
        - name: id
          in: path
          description: account id
          required: true
          example: '{{accountId}}'
          schema:
            type: string
        - name: trace-id
          in: header
          description: ''
          required: false
          example: '{{$string.uuid}}'
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAccountRequest'
            example:
              name: Abbie2
              number: ACC-0000000001
              addressLine1: street or PO Box2
              addressLine2: Apt, suite, unit, building, floor etc.2
              country: US
              state: CA
              city: Redwood City
              postalCode: '84002'
              email: abbie2@gmail.com
              status: active
              source: aws
              taxExempt: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AccountResponse'
              example:
                name: Abbie2
                number: ACC-0000000001
                addressLine1: street or PO Box2
                addressLine2: Apt, suite, unit, building, floor etc.2
                country: US
                state: CA
                city: Redwood City
                postalCode: '84002'
                email: abbie2@gmail.com
                status: active
                source: aws
                taxExempt: true
                id: e3ef9de3-bbdc-495c-b608-a6fa1f62ada0
                createdAt: '2026-03-02T03:39:31Z'
                updatedAt: '2026-03-02T03:39:31Z'
                createdBy: f17bb9d8-ff51-423c-b6d3-bc474b755510
                updatedBy: f17bb9d8-ff51-423c-b6d3-bc474b755510
          headers: {}
        '400':
          description: Bad Request
          headers: {}
        '401':
          description: Unauthorized
          headers: {}
        '404':
          description: Not Found
          headers: {}
        '500':
          description: Internal Server Error
          headers: {}
      deprecated: false
      security:
        - token: []
components:
  schemas:
    UpdateAccountRequest:
      type: object
      properties:
        name:
          maxLength: 128
          minLength: 1
          type: string
          description: Name for this customer account
          examples:
            - Abbie
        addressLine1:
          maxLength: 256
          minLength: 6
          type: string
          description: Primary address line
          examples:
            - street or PO Box
        addressLine2:
          type: string
          description: Secondary address line
          examples:
            - Apt, suite, unit, building, floor etc.
        country:
          type: string
          description: Country code
          examples:
            - US
        state:
          type: string
          description: State or province
          examples:
            - CA
        city:
          type: string
          description: City name
          examples:
            - Los Angeles
        postalCode:
          type: string
          description: Postal or ZIP code
          examples:
            - '84001'
        email:
          maxLength: 128
          minLength: 3
          type: string
          description: Email address
          examples:
            - abbie@gmail.com
        status:
          type: string
          enum:
            - active
            - in-active
            - draft
        source:
          type: string
          description: Source of the account
        taxExempt:
          type: boolean
          description: Tax exempt used for tax engine integration
    AccountResponse:
      type: object
      properties:
        id:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        createdBy:
          type: string
        updatedBy:
          type: string
        name:
          type: string
          description: Name for this customer account
          maxLength: 128
          minLength: 1
        number:
          type: string
          description: >-
            Number for this account. You can specify your own customer
            identifier. If you don't specify the system will generate one
          maxLength: 128
          minLength: 1
        addressLine1:
          type: string
          description: Primary address line
          maxLength: 256
          minLength: 6
        addressLine2:
          type: string
          description: Secondary address line
        country:
          type:
            - string
            - 'null'
          description: Country code (2-digit)
        state:
          type:
            - string
            - 'null'
          description: State, county, province, or region.
        city:
          type:
            - string
            - 'null'
          description: City name
        postalCode:
          type:
            - string
            - 'null'
          description: Postal or ZIP code
        email:
          type:
            - string
            - 'null'
          description: Email address
          maxLength: 128
          minLength: 3
        status:
          type: string
          enum:
            - active
            - in-active
            - draft
        source:
          type:
            - string
            - 'null'
          description: Source of the account
  securitySchemes:
    token:
      type: http
      scheme: bearer

````